import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/getHasRight', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/getSearchList', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/getSearchCondition', 'GET', params);
}

export const getEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/getTrainLayoutForm?is_multilang_set=true', 'GET', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/edit', 'POST', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/delete', 'POST', params);
}

export const inform = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/inform', 'GET', params);
}

export const getTestDialogTable = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayoutassess/getSearchList', 'GET', params);
}

export const getTestDialogRight = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayoutassess/getHasRight', 'GET', params);
}

export const getTestForm = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayoutassess/getTrainLayoutAssessForm?is_multilang_set=true', 'GET', params);
}

export const saveTestEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayoutassess/add', 'POST', params);
}

export const getTrainTypeContent = (params) => {
	return WeaTools.callApi('/api/hrm/trainlayout/getTrainTypeInfo', 'GET', params);
}